# trace generated using paraview version 5.10.0-RC1
#import paraview
#paraview.compatibility.major = 5
#paraview.compatibility.minor = 10

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'
paraview.simple._DisableFirstRenderCameraReset()

# create a new 'Box'
box1 = Box(registrationName='Box1')

# Properties modified on box1
box1.XLength = 0.1
box1.YLength = 1.0
box1.ZLength = 0.1

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# show data in view
box1Display = Show(box1, renderView1, 'GeometryRepresentation')

# trace defaults for the display properties.
box1Display.Representation = 'Surface'
box1Display.ColorArrayName = [None, '']
box1Display.SelectTCoordArray = 'TCoords'
box1Display.SelectNormalArray = 'Normals'
box1Display.SelectTangentArray = 'None'
box1Display.OSPRayScaleArray = 'Normals'
box1Display.OSPRayScaleFunction = 'PiecewiseFunction'
box1Display.SelectOrientationVectors = 'None'
box1Display.ScaleFactor = 0.3140000104904175
box1Display.SelectScaleArray = 'None'
box1Display.GlyphType = 'Arrow'
box1Display.GlyphTableIndexArray = 'None'
box1Display.GaussianRadius = 0.015700000524520873
box1Display.SetScaleArray = ['POINTS', 'Normals']
box1Display.ScaleTransferFunction = 'PiecewiseFunction'
box1Display.OpacityArray = ['POINTS', 'Normals']
box1Display.OpacityTransferFunction = 'PiecewiseFunction'
box1Display.DataAxesGrid = 'GridAxesRepresentation'
box1Display.PolarAxes = 'PolarAxesRepresentation'

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
box1Display.ScaleTransferFunction.Points = [-1.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
box1Display.OpacityTransferFunction.Points = [-1.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]

# reset view to fit data
renderView1.ResetCamera(False)

# update the view to ensure updated data information
renderView1.Update()

# Properties modified on box1Display
box1Display.Position = [0, 0.5, 0.0]

# Properties modified on box1Display.DataAxesGrid
box1Display.DataAxesGrid.Position = [0, 0.5, 0.0]

# Properties modified on box1Display.PolarAxes
box1Display.PolarAxes.Translation = [0, 0.5, 0.0]

# change solid color
# change solid color
box1Display.AmbientColor = [1.0, 0.8196078431372549, 0.7607843137254902]
box1Display.DiffuseColor = [1.0, 0.8196078431372549, 0.7607843137254902]



# create a new 'Box'
box2 = Box(registrationName='Box2')

# Properties modified on box2
box2.XLength = 0.1
box2.YLength = 1.0
box2.ZLength = 0.1

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# show data in view
box2Display = Show(box2, renderView1, 'GeometryRepresentation')

# trace defaults for the display properties.
box2Display.Representation = 'Surface'
box2Display.ColorArrayName = [None, '']
box2Display.SelectTCoordArray = 'TCoords'
box2Display.SelectNormalArray = 'Normals'
box2Display.SelectTangentArray = 'None'
box2Display.OSPRayScaleArray = 'Normals'
box2Display.OSPRayScaleFunction = 'PiecewiseFunction'
box2Display.SelectOrientationVectors = 'None'
box2Display.ScaleFactor = 0.3140000104904175
box2Display.SelectScaleArray = 'None'
box2Display.GlyphType = 'Arrow'
box2Display.GlyphTableIndexArray = 'None'
box2Display.GaussianRadius = 0.015700000524520873
box2Display.SetScaleArray = ['POINTS', 'Normals']
box2Display.ScaleTransferFunction = 'PiecewiseFunction'
box2Display.OpacityArray = ['POINTS', 'Normals']
box2Display.OpacityTransferFunction = 'PiecewiseFunction'
box2Display.DataAxesGrid = 'GridAxesRepresentation'
box2Display.PolarAxes = 'PolarAxesRepresentation'

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
box2Display.ScaleTransferFunction.Points = [-1.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
box2Display.OpacityTransferFunction.Points = [-1.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]

# reset view to fit data
renderView1.ResetCamera(False)

# update the view to ensure updated data information
renderView1.Update()

# Properties modified on box2Display
box2Display.Position = [3.5, 0.5, 0.0]

# Properties modified on box2Display.DataAxesGrid
box2Display.DataAxesGrid.Position = [3.5, 0.5, 0.0]

# Properties modified on box2Display.PolarAxes
box2Display.PolarAxes.Translation = [3.5, 0.5, 0.0]

# change solid color
# change solid color
box2Display.AmbientColor = [1.0, 0.8196078431372549, 0.7607843137254902]
box2Display.DiffuseColor = [1.0, 0.8196078431372549, 0.7607843137254902]

#================================================================
# addendum: following script captures some of the application
# state to faithfully reproduce the visualization during playback
#================================================================

# get layout
layout1 = GetLayout()

#--------------------------------
# saving layout sizes for layouts

# layout/tab size in pixels
layout1.SetSize(2923, 908)

#-----------------------------------
# saving camera placements for views

# current camera placement for renderView1
renderView1.CameraPosition = [0.0, 0.0, 6.07216366868931]
renderView1.CameraParallelScale = 1.5715916024363863

#--------------------------------------------
# uncomment the following to render all views
# RenderAllViews()
# alternatively, if you want to write images, you can use SaveScreenshot(...).