# trace generated using paraview version 5.10.0-RC1
#import paraview
#paraview.compatibility.major = 5
#paraview.compatibility.minor = 10

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'
paraview.simple._DisableFirstRenderCameraReset()

# create a new 'Box'
box1 = Box(registrationName='Box1')

# find source
warpByVector3 = FindSource('WarpByVector3')

# find source
warpByVector2 = FindSource('WarpByVector2')

# find source
cylindrical_2variableBC_delta01_level3_NCvtu = FindSource('cylindrical_2variableBC_delta0.1_level3_NC.vtu')

# find source
cylindrical_2variableBC_delta10_level3_NCvtu = FindSource('cylindrical_2variableBC_delta1.0_level3_NC.vtu')

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# show data in view
box1Display = Show(box1, renderView1, 'GeometryRepresentation')

# trace defaults for the display properties.
box1Display.Representation = 'Surface'
box1Display.ColorArrayName = [None, '']
box1Display.SelectTCoordArray = 'TCoords'
box1Display.SelectNormalArray = 'Normals'
box1Display.SelectTangentArray = 'None'
box1Display.OSPRayScaleArray = 'Normals'
box1Display.OSPRayScaleFunction = 'PiecewiseFunction'
box1Display.SelectOrientationVectors = 'None'
box1Display.ScaleFactor = 0.1
box1Display.SelectScaleArray = 'None'
box1Display.GlyphType = 'Arrow'
box1Display.GlyphTableIndexArray = 'None'
box1Display.GaussianRadius = 0.005
box1Display.SetScaleArray = ['POINTS', 'Normals']
box1Display.ScaleTransferFunction = 'PiecewiseFunction'
box1Display.OpacityArray = ['POINTS', 'Normals']
box1Display.OpacityTransferFunction = 'PiecewiseFunction'
box1Display.DataAxesGrid = 'GridAxesRepresentation'
box1Display.PolarAxes = 'PolarAxesRepresentation'

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
box1Display.ScaleTransferFunction.Points = [-1.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
box1Display.OpacityTransferFunction.Points = [-1.0, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]

# find source
warpByVector1 = FindSource('WarpByVector1')

# find source
cylindrical_2variableBC_delta05_level3_NCvtu = FindSource('cylindrical_2variableBC_delta0.5_level3_NC.vtu')

# update the view to ensure updated data information
renderView1.Update()

# Properties modified on box1
box1.XLength = 2.0

# update the view to ensure updated data information
renderView1.Update()

# Properties modified on box1
box1.XLength = 0.1
box1.YLength = 2.0
box1.ZLength = 0.1

# update the view to ensure updated data information
renderView1.Update()

# Properties modified on box1Display
box1Display.Position = [-1.0, 0.0, 0.0]

# Properties modified on box1Display.DataAxesGrid
box1Display.DataAxesGrid.Position = [-1.0, 0.0, 0.0]

# Properties modified on box1Display.PolarAxes
box1Display.PolarAxes.Translation = [-1.0, 0.0, 0.0]

# Properties modified on box1
box1.YLength = 1.0

# update the view to ensure updated data information
renderView1.Update()

#================================================================
# addendum: following script captures some of the application
# state to faithfully reproduce the visualization during playback
#================================================================

# get layout
layout1 = GetLayout()

#--------------------------------
# saving layout sizes for layouts

# layout/tab size in pixels
layout1.SetSize(2292, 1171)

#-----------------------------------
# saving camera placements for views

# current camera placement for renderView1
renderView1.InteractionMode = '2D'
renderView1.CameraPosition = [3152.297535110951, -8555.241086160378, 4107.416501946229]
renderView1.CameraFocalPoint = [-0.14072623447374652, -0.17247711115688338, -0.25121865343020566]
renderView1.CameraViewUp = [-0.11249939664840285, 0.3960965825556926, 0.9112910528702928]
renderView1.CameraParallelScale = 2.5053655927712435

#--------------------------------------------
# uncomment the following to render all views
# RenderAllViews()
# alternatively, if you want to write images, you can use SaveScreenshot(...).