# Dune-microstructure changes

## Master 

- The problem Setup is now simplified: Instead of having a .parset-File for parameters as well as a .py-File for the material (indicator functions etc.)
  there now is only a single python module file containing both. Therefore the folders 'inputs' and 'materials' have been removed and replaced by the folder 'experiments'
  The new Syntax for calling the microstructure solver:
  '${MODULEPATH}/build-cmake/src/Cell-Problem ${experimentPath} experiment.py'  

- The modul now features two unit tests: 'parametrizedlaminatetest' is used to compare against analytical results of a parametrized laminate geometry presented in 
  [Böhnlein,Neukamm,Padilla-Garza,Sander - A homogenized bending theory for prestrained plates]. 'orthotropicrotationtest' tests the rotation of material coordinate 
  frames with orthotropic material phases.